frontpage extension für apache 2.0.54

Alles, was den Apache betrifft, kann hier besprochen werden.

frontpage extension für apache 2.0.54

Postby zappli » 13. February 2006 16:06

hallo zusammen
mein system:
debian 3.1 sarge
kernel 2.6
apache 2.0.54
php u. mysql

ich bin seit einiger zeit erfolglos damit beschäftigt die frontpage extension zu installiren. ich habe das tar runtergeladen sowie das installations script. doch in der routine des scripts muss ich die quelle des apache controll files angeben (apachectl).... wo ist diese datei zu finden??

danke schon mal!
gruss adrian
zappli
 
Posts: 4
Joined: 13. February 2006 15:17

Postby Wiedmann » 13. February 2006 16:11

(apachectl).... wo ist diese datei zu finden??

Normal in einem der ../bin - Vezeichnis.

mein system:
debian 3.1 sarge

Auf diesem OS sollte es eigentlich die Befehle "find" oder "locate" geben.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby zappli » 13. February 2006 16:20

ja ok die kontroll datei habe ich gefunden...
mittels find, da schau her!! sogar das kann das system!!!

doch leider findet das super tool find die datei apxs nicht...??
laut dem install script wird meine apache version nicht unterstützt, wobei ich das neuste install script runtergeladen habe...
zappli
 
Posts: 4
Joined: 13. February 2006 15:17

Postby Wiedmann » 13. February 2006 18:35

doch leider findet das super tool find die datei apxs nicht...??

"apxs" sollte normal im selben bin-Verzeichnis wie "apachectl" sein.

Es scheint aber so, dass du Apache nicht selbst gebaut, sondern ein fertiges Package von deinem OS genommen hast? Dann sollte in der Doku zu deinem OS/diesem Package was dazu stehen. Die div. Linux-Distros trennen die Prgramme IMHO auch gerne in ein Standard- und Devel-Package (o.ä.) auf. Möglicherweise fehlt dir das Zweite.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby zappli » 14. February 2006 08:02

hy!
die datei kann ich effektiv nicht finden, auch im selben verzeichnis wie apache2ctl nicht.

diese liegt im:
Code: Select all
/usr/sbin/apache2ctl


das ist richtig dass ich apache2 mit apt-get installiert habe.

doch mittels:
Code: Select all
apt-cache search apxs

habe ich das packet
apache-dev installiert.

nun findet sich das packet apxs in:
Code: Select all
/usr/bin/apxs


nun starte ich noch einen versuch...
zappli
 
Posts: 4
Joined: 13. February 2006 15:17

Postby zappli » 14. February 2006 08:15

da apache2ctl nicht im selben verzeichnis wie apxs war, habe ich die datei nach /usr/bin/apache2ctl gelinkt.
hat was gebracht, bis zur nächsten fehlermeldung.

Code: Select all
apxs:Break: Command failed with rc=1
ERROR: Unable to install mod_frontpage dso


macht es einen unterschied ob ich apache 2.0.54 habe oder 2.0.55??
in der installationsroutine wird gefragt ob ich weiterfahren will obwohl ich 2.0.54 habe. das script unterstütze irgend eine andere version... ?? keine ahnung welche...
zappli
 
Posts: 4
Joined: 13. February 2006 15:17


Return to Apache

Who is online

Users browsing this forum: No registered users and 4 guests